{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = inputs.in_gz; LIST.push(inputs.in_check); return LIST; }"
                }
            ],
            "baseCommand": [
                "md5sum"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-c",
                    "valueFrom": "$(inputs.in_check.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#check_md5checksums.cwl/in_check"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#check_md5checksums.cwl/in_gz"
                }
            ],
            "stderr": "${ var X = (inputs.in_check); return X.nameroot + '.log'; }",
            "id": "#check_md5checksums.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#check_md5checksums.cwl/out_check",
                    "outputBinding": {
                        "glob": "${ var X = (inputs.in_check); return X.nameroot + '.log'; }"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.in_txt)]; return LIST; }"
                }
            ],
            "baseCommand": [
                "egrep"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "${ var A = inputs.in_gz; var B = []; for (var i = 0; i < A.length; i++) { B = B + A[i].basename; if(i != A.length-1) { B = B + '|'; } } return B; }"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.in_txt.basename)"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#extract_md5checksums.cwl/in_gz"
                },
                {
                    "type": "File",
                    "id": "#extract_md5checksums.cwl/in_txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#extract_md5checksums.cwl/out_extract",
                    "outputBinding": {
                        "glob": "md5checksums.txt2"
                    }
                }
            ],
            "stdout": "md5checksums.txt2",
            "id": "#extract_md5checksums.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = inputs.in_gz; return LIST; }"
                }
            ],
            "baseCommand": [
                "gzip"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-df",
                    "valueFrom": "$(inputs.in_gz)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#gunzip_multi.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#gunzip_multi.cwl/in_gz"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "${ var A = inputs.in_gz; var B = []; for(var i = 0; i < A.length; i++){ B.push(A[i].nameroot); } return B; }"
                    },
                    "id": "#gunzip_multi.cwl/out_gz"
                }
            ],
            "id": "#gunzip_multi.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_gz)"
                    ]
                }
            ],
            "baseCommand": [
                "gzip"
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-df",
                    "valueFrom": "$(inputs.in_gz.basename)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#gunzip_single.cwl/in_dummy"
                },
                {
                    "type": "File",
                    "id": "#gunzip_single.cwl/in_gz"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_gz.nameroot)"
                    },
                    "id": "#gunzip_single.cwl/out_gz"
                }
            ],
            "id": "#gunzip_single.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/in_cds_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/in_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/in_genomic_gff"
                },
                {
                    "type": "File",
                    "id": "#main/in_md5checksums"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/in_protein_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/in_transcript_fasta"
                }
            ],
            "steps": [
                {
                    "run": "#check_md5checksums.cwl",
                    "in": [
                        {
                            "source": "#main/extract_md5checksums/out_extract",
                            "id": "#main/check_md5checksums/in_check"
                        },
                        {
                            "source": [
                                "#main/in_genomic_fasta",
                                "#main/in_genomic_gff",
                                "#main/in_protein_fasta",
                                "#main/in_transcript_fasta",
                                "#main/in_cds_fasta"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/check_md5checksums/in_gz"
                        }
                    ],
                    "out": [
                        "#main/check_md5checksums/out_check"
                    ],
                    "id": "#main/check_md5checksums"
                },
                {
                    "run": "#extract_md5checksums.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/in_genomic_fasta",
                                "#main/in_genomic_gff",
                                "#main/in_protein_fasta",
                                "#main/in_transcript_fasta",
                                "#main/in_cds_fasta"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/extract_md5checksums/in_gz"
                        },
                        {
                            "source": "#main/in_md5checksums",
                            "id": "#main/extract_md5checksums/in_txt"
                        }
                    ],
                    "out": [
                        "#main/extract_md5checksums/out_extract"
                    ],
                    "id": "#main/extract_md5checksums"
                },
                {
                    "run": "#gunzip_single.cwl",
                    "in": [
                        {
                            "source": "#main/check_md5checksums/out_check",
                            "id": "#main/gunzip_cds_fasta/in_dummy"
                        },
                        {
                            "source": "#main/in_cds_fasta",
                            "id": "#main/gunzip_cds_fasta/in_gz"
                        }
                    ],
                    "out": [
                        "#main/gunzip_cds_fasta/out_gz"
                    ],
                    "id": "#main/gunzip_cds_fasta"
                },
                {
                    "run": "#gunzip_single.cwl",
                    "in": [
                        {
                            "source": "#main/check_md5checksums/out_check",
                            "id": "#main/gunzip_genomic_fasta/in_dummy"
                        },
                        {
                            "source": "#main/in_genomic_fasta",
                            "id": "#main/gunzip_genomic_fasta/in_gz"
                        }
                    ],
                    "out": [
                        "#main/gunzip_genomic_fasta/out_gz"
                    ],
                    "id": "#main/gunzip_genomic_fasta"
                },
                {
                    "run": "#gunzip_single.cwl",
                    "in": [
                        {
                            "source": "#main/check_md5checksums/out_check",
                            "id": "#main/gunzip_genomic_gff/in_dummy"
                        },
                        {
                            "source": "#main/in_genomic_gff",
                            "id": "#main/gunzip_genomic_gff/in_gz"
                        }
                    ],
                    "out": [
                        "#main/gunzip_genomic_gff/out_gz"
                    ],
                    "id": "#main/gunzip_genomic_gff"
                },
                {
                    "run": "#gunzip_multi.cwl",
                    "in": [
                        {
                            "source": "#main/check_md5checksums/out_check",
                            "id": "#main/gunzip_protein_fasta/in_dummy"
                        },
                        {
                            "source": "#main/in_protein_fasta",
                            "id": "#main/gunzip_protein_fasta/in_gz"
                        }
                    ],
                    "out": [
                        "#main/gunzip_protein_fasta/out_gz"
                    ],
                    "id": "#main/gunzip_protein_fasta"
                },
                {
                    "run": "#gunzip_single.cwl",
                    "in": [
                        {
                            "source": "#main/check_md5checksums/out_check",
                            "id": "#main/gunzip_transcript_fasta/in_dummy"
                        },
                        {
                            "source": "#main/in_transcript_fasta",
                            "id": "#main/gunzip_transcript_fasta/in_gz"
                        }
                    ],
                    "out": [
                        "#main/gunzip_transcript_fasta/out_gz"
                    ],
                    "id": "#main/gunzip_transcript_fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/gunzip_cds_fasta/out_gz",
                    "id": "#main/OUT_cds_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#main/check_md5checksums/out_check",
                    "id": "#main/OUT_check"
                },
                {
                    "type": "File",
                    "outputSource": "#main/extract_md5checksums/out_extract",
                    "id": "#main/OUT_extract"
                },
                {
                    "type": "File",
                    "outputSource": "#main/gunzip_genomic_fasta/out_gz",
                    "id": "#main/OUT_genomic_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#main/gunzip_genomic_gff/out_gz",
                    "id": "#main/OUT_genomic_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/gunzip_protein_fasta/out_gz",
                    "id": "#main/OUT_protein_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#main/gunzip_transcript_fasta/out_gz",
                    "id": "#main/OUT_transcript_fasta"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
